reset
set terminal postscript enhanced color
set output 'rpn.ps'

set samples 2000
set grid
set title "35W amplifier relative power noise at high frequencies"
set xlabel "Frequency [Hz]"
set ylabel "rpn [1/sqrt(Hz)]"
set logscale
set style data lines
set autoscale xy
set xrange [1e6:1e8]
#set yrange[0:12]

# fit
pole(f,f0) = 1/(1 + {0,1}*f/f0)
pole2(f,f0,Q) = 1/(1+ {0,1}*f/f0/Q - f*f/f0/f0)
zero(f,f0) = 1 + {0,1}*f/f0
zero2(f,f0,Q) = 1+ {0,1}*f/f0/Q - f*f/f0/f0

db(x)=20.*log10(abs(x))
dbm(x) = 10**((x+10*log10(50.)-30)/20.) # dbm to volt
dbv(x) = 10**(x/20.)    # dbV to volt

deg(x)=180/pi*arg(x)
Uavg=9.9
e=1.6021e-19
R=200

shot(x)=sqrt(2*e*R/Uavg)
H(f) = dbv(34.-60+1) * zero(f,1e3) * pole(f,1e6) * pole(f,50e6) * pole(f,60e6) * pole(f,65e6)

plot 'combined_A.TXT' u 1:(dbm($2)*2/((Uavg)*abs(H($1)))) title 'rpn' lt 1 lc 1,\
	'combined_D.TXT' u 1:(dbm($2)*2/((Uavg)*abs(H($1)))) title 'electronic noise' lt 1 lc 2,\
		shot(x) title 'shot noise' lt 1 lc 5

system('epstopdf --autorotate=All rpn.ps')